MAPI
视频(Videos)

获取视频生成任务状态

查询视频生成任务的状态和结果。

任务状态:

  • queued: 排队中
  • in_progress: 生成中
  • completed: 已完成
  • failed: 失败
GET
/v1/video/generations/{task_id}

Authorization

BearerAuth

AuthorizationBearer <token>

使用 Bearer Token 认证。 格式: Authorization: Bearer sk-xxxxxx

In: header

Path Parameters

task_id*string

任务 ID

Response Body

application/json

application/json

curl -X GET "https://loading/v1/video/generations/string"
{
  "task_id": "abcd1234efgh",
  "status": "success",
  "progress": "50%",
  "model": "doubao-seedance-2-0-260128",
  "url": "https://example.com/video.mp4",
  "created_at": 1719820800,
  "completed_at": 1719820860,
  "metadata": {
    "duration": 5,
    "fps": 24,
    "seed": 20231234,
    "resolution": "1080P",
    "ratio": "16:9"
  },
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}

最后更新于